commit:     5e578b2f7cc2703dd9ea8b874664b198305014a2
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 25 17:50:27 2025 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Tue Feb 25 17:50:32 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e578b2f

net-analyzer/zabbix: bump to 7.2.4

Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 net-analyzer/zabbix/Manifest            |   2 +
 net-analyzer/zabbix/zabbix-7.2.4.ebuild | 371 ++++++++++++++++++++++++++++++++
 2 files changed, 373 insertions(+)

diff --git a/net-analyzer/zabbix/Manifest b/net-analyzer/zabbix/Manifest
index 104f85408390..2869eef850b4 100644
--- a/net-analyzer/zabbix/Manifest
+++ b/net-analyzer/zabbix/Manifest
@@ -18,3 +18,5 @@ DIST zabbix-7.2.2-go-deps.tar.xz 34162248 BLAKE2B 
cb5c40bb62af88bf642f6189d349a6
 DIST zabbix-7.2.2.tar.gz 40372426 BLAKE2B 
3cff418340428aa1de6cdbe00e5eef34068ea43eb5f6935c7e8d72bee6a484aa0b07806cd3eaaf1e09365f11a98673b07042d394109ec471055c7fdbfbf40df1
 SHA512 
98e4a21c4235dee36e050cfc1506cbef5cd5c9409ee6bb3cac663346826a80dd2c59c6f5e6cfaeb770975785b19689d4775b0eee407093a12ed6f1169621aa1f
 DIST zabbix-7.2.3-go-deps.tar.xz 34185696 BLAKE2B 
4269b10f175eb0b78d16cddd430b86110ee4204a2de7b16fd85e62cef95f5cf451c33ef84cf0f3b96b48c8e78103a3f5343a25cca22c6190ff8918f2c9644bf5
 SHA512 
e495b4085b9cc56becbec7db491cbeb0f7b877bba8c9c78110f7d5e436b517258979ff25b85ea1b89ebdef47726222b3b68205ad5eed328284c110f2c0ae2e7d
 DIST zabbix-7.2.3.tar.gz 40748423 BLAKE2B 
2ef493820041d6fd776e92149ae1492208041a1de979697792d7d165365f55a3609312d32f728e6fd404d60b7293ebc032e2e1338a6fce55d8836b0407e49f5c
 SHA512 
24cea4cd164f89b9384b01b3f58ccf1b9365c8ed04f9bafa0cc7400c12af08b3087eeeececce313c0dc082420f109c207df3d868eecfb6d8809a1f15b8d1e6ff
+DIST zabbix-7.2.4-go-deps.tar.xz 34209144 BLAKE2B 
541741de6085fb56661470376f8aea5300577e605d47b96e6a0b58699e5e9f0da9e60df0ceff7ec230f2d7890340d6ba11ee4444b7d8f1aa5247397665b8d6e8
 SHA512 
72d028333130fde090317e68f47a5ffb0802501254eefb5e836fd0ce121d0b065dcaeb49a8c3563b6dfb31758bbe42d0690faf64517af8bfb59c8040f0de3e72
+DIST zabbix-7.2.4.tar.gz 41031413 BLAKE2B 
015969dd88bc04c74491f3af6ce06b1cfb06522d10d8ad8d5045d3e9375277b36e17de350f51307978dde1152aafbf08834e5db46cae33129b5ea68d13438d65
 SHA512 
a374c4e41651dc2a38a3315aa3b98acb7d66f10fa9893f10e6114e3090650768b87ec9fdf9a08c28a0fb5f465376a844e06205f3ac0c8dd9d64e4966b216e224

diff --git a/net-analyzer/zabbix/zabbix-7.2.4.ebuild 
b/net-analyzer/zabbix/zabbix-7.2.4.ebuild
new file mode 100644
index 000000000000..8124788a5c25
--- /dev/null
+++ b/net-analyzer/zabbix/zabbix-7.2.4.ebuild
@@ -0,0 +1,371 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# To create the go modules tarball:
+#   cd src/go
+#   GOMODCACHE="${PWD}"/go-mod go mod download -modcacherw
+#   tar -acf $(pwd | grep -Eo 'zabbix-[0-9.]+')-go-deps.tar.xz go-mod
+
+EAPI=8
+
+GO_OPTIONAL="yes"
+# needed to make webapp-config dep optional
+WEBAPP_OPTIONAL="yes"
+inherit autotools webapp java-pkg-opt-2 systemd tmpfiles toolchain-funcs 
go-module user-info
+
+DESCRIPTION="ZABBIX is software for monitoring of your applications, network 
and servers"
+HOMEPAGE="https://www.zabbix.com/";
+MY_P=${P/_/}
+MY_PV=${PV/_/}
+SRC_URI="https://cdn.zabbix.com/${PN}/sources/stable/$(ver_cut 1-2)/${P}.tar.gz
+       agent2? ( 
https://dev.gentoo.org/~fordfrog/distfiles/${P}-go-deps.tar.xz )
+"
+
+S=${WORKDIR}/${MY_P}
+
+LICENSE="AGPL-3"
+SLOT="0/$(ver_cut 1-2)"
+WEBAPP_MANUAL_SLOT="yes"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="agent +agent2 curl frontend gnutls ipv6 java ldap libxml2 mysql odbc 
openipmi +openssl +postgres proxy selinux server snmp sqlite ssh static"
+REQUIRED_USE="|| ( agent agent2 frontend proxy server )
+       ?? ( gnutls openssl )
+       agent2? ( !gnutls )
+       proxy? ( ^^ ( mysql postgres sqlite ) )
+       server? ( ^^ ( mysql postgres ) !sqlite )
+       static? ( !snmp )"
+
+COMMON_DEPEND="
+       curl? ( net-misc/curl )
+       gnutls? ( net-libs/gnutls:0= )
+       java? ( >=virtual/jdk-1.8:* )
+       ldap? (
+               =dev-libs/cyrus-sasl-2*
+               net-libs/gnutls:=
+               net-nds/openldap:=
+       )
+       libxml2? ( dev-libs/libxml2 )
+       mysql? ( dev-db/mysql-connector-c:= )
+       odbc? ( dev-db/unixODBC )
+       openipmi? ( sys-libs/openipmi )
+       openssl? ( dev-libs/openssl:=[-bindist(-)] )
+       postgres? ( dev-db/postgresql:* )
+       proxy?  (
+               dev-libs/libevent:=
+               sys-libs/zlib
+       )
+       server? (
+               dev-libs/libevent:=
+               sys-libs/zlib
+       )
+       snmp? ( net-analyzer/net-snmp:= )
+       sqlite? ( dev-db/sqlite )
+       ssh? ( net-libs/libssh2 )
+"
+
+RDEPEND="${COMMON_DEPEND}
+       acct-group/zabbix
+       acct-user/zabbix
+       java? ( >=virtual/jre-1.8:* )
+       mysql? ( virtual/mysql )
+       proxy? (
+               dev-libs/libpcre2:=
+               net-analyzer/fping[suid]
+       )
+       selinux? ( sec-policy/selinux-zabbix )
+       server? (
+               app-admin/webapp-config
+               dev-libs/libpcre2:=
+               net-analyzer/fping[suid]
+       )
+       frontend? (
+               app-admin/webapp-config
+               
dev-lang/php:*[bcmath,ctype,sockets,gd,truetype,xml,session,xmlreader,xmlwriter,nls,sysvipc,unicode]
+               media-libs/gd[png]
+               virtual/httpd-php:*
+               mysql? ( dev-lang/php[mysqli] )
+               odbc? ( dev-lang/php[odbc] )
+               postgres? ( dev-lang/php[postgres] )
+               sqlite? ( dev-lang/php[sqlite] )
+       )
+"
+DEPEND="${COMMON_DEPEND}
+       static? (
+               curl? ( net-misc/curl[static-libs] )
+               ldap? (
+                       =dev-libs/cyrus-sasl-2*[static-libs]
+                       net-libs/gnutls[static-libs]
+                       net-nds/openldap[static-libs]
+               )
+               libxml2? ( dev-libs/libxml2[static-libs] )
+               mysql? ( dev-db/mysql-connector-c[static-libs] )
+               odbc? ( dev-db/unixODBC[static-libs] )
+               postgres? ( dev-db/postgresql:*[static-libs] )
+               sqlite? ( dev-db/sqlite[static-libs] )
+               ssh? ( net-libs/libssh2 )
+       )
+"
+BDEPEND="
+       virtual/pkgconfig
+       agent2? (
+               >=dev-lang/go-1.12
+               app-arch/unzip
+       )
+"
+
+# upstream tests fail for agent2
+RESTRICT="test"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-4.0.18-modulepathfix.patch"
+       "${FILESDIR}/${PN}-3.0.30-security-disable-PidFile.patch"
+       "${FILESDIR}/${PN}-6.4.0-configure-sscanf.patch"
+)
+
+ZABBIXJAVA_BASE="opt/zabbix_java"
+
+pkg_setup() {
+       if use frontend; then
+               webapp_pkg_setup
+       fi
+
+       java-pkg-opt-2_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       # Since we patch configure.ac with e.g., 
${PN}-6.4.0-configure-sscanf.patch".
+       eautoreconf
+}
+
+src_configure() {
+       local econf_args=(
+               --with-libpcre2
+               "$(use_enable agent)"
+               "$(use_enable agent2)"
+               "$(use_enable ipv6)"
+               "$(use_enable java)"
+               "$(use_enable proxy)"
+               "$(use_enable server)"
+               "$(use_enable static)"
+               "$(use_with curl libcurl)"
+               "$(use_with gnutls)"
+               "$(use_with ldap)"
+               "$(use_with libxml2)"
+               "$(use_with mysql)"
+               "$(use_with odbc unixodbc)"
+               "$(use_with openipmi openipmi)"
+               "$(use_with openssl)"
+               "$(use_with postgres postgresql)"
+               "$(use_with snmp net-snmp)"
+               "$(use_with sqlite sqlite3)"
+               "$(use_with ssh ssh2)"
+       )
+
+       econf ${econf_args[@]}
+}
+
+src_compile() {
+       if [ -f Makefile ] || [ -f GNUmakefile ] || [ -f makefile ]; then
+               emake AR="$(tc-getAR)" RANLIB="$(tc-getRANLIB)"
+       fi
+}
+
+src_install() {
+       local dirs=(
+               /etc/zabbix
+               /var/lib/zabbix
+               /var/lib/zabbix/home
+               /var/lib/zabbix/scripts
+               /var/lib/zabbix/alertscripts
+               /var/lib/zabbix/externalscripts
+               /var/log/zabbix
+       )
+
+       for dir in "${dirs[@]}"; do
+               keepdir "${dir}"
+       done
+
+       if use server; then
+               insinto /etc/zabbix
+               doins "${S}"/conf/zabbix_server.conf
+               fperms 0640 /etc/zabbix/zabbix_server.conf
+               fowners root:zabbix /etc/zabbix/zabbix_server.conf
+
+               newinitd "${FILESDIR}"/zabbix-server-r1.init zabbix-server
+
+               dosbin src/zabbix_server/zabbix_server
+
+               insinto /usr/share/zabbix
+               doins -r "${S}"/database/
+
+               systemd_dounit "${FILESDIR}"/zabbix-server.service
+               newtmpfiles "${FILESDIR}"/zabbix-server.tmpfiles 
zabbix-server.conf
+       fi
+
+       if use proxy; then
+               insinto /etc/zabbix
+               doins "${S}"/conf/zabbix_proxy.conf
+               fperms 0640 /etc/zabbix/zabbix_proxy.conf
+               fowners root:zabbix /etc/zabbix/zabbix_proxy.conf
+
+               newinitd "${FILESDIR}"/zabbix-proxy.init zabbix-proxy
+
+               dosbin src/zabbix_proxy/zabbix_proxy
+
+               insinto /usr/share/zabbix
+               doins -r "${S}"/database/
+
+               systemd_dounit "${FILESDIR}"/zabbix-proxy.service
+               newtmpfiles "${FILESDIR}"/zabbix-proxy.tmpfiles 
zabbix-proxy.conf
+       fi
+
+       if use agent; then
+               insinto /etc/zabbix
+               doins "${S}"/conf/zabbix_agentd.conf
+               fperms 0640 /etc/zabbix/zabbix_agentd.conf
+               fowners root:zabbix /etc/zabbix/zabbix_agentd.conf
+
+               newinitd "${FILESDIR}"/zabbix-agentd.init zabbix-agentd
+
+               dosbin src/zabbix_agent/zabbix_agentd
+               dobin \
+                       src/zabbix_sender/zabbix_sender \
+                       src/zabbix_get/zabbix_get
+
+               systemd_dounit "${FILESDIR}"/zabbix-agentd.service
+               newtmpfiles "${FILESDIR}"/zabbix-agentd.tmpfiles 
zabbix-agentd.conf
+       fi
+       if use agent2; then
+               insinto /etc/zabbix
+               doins "${S}"/src/go/conf/zabbix_agent2.conf
+               fperms 0640 /etc/zabbix/zabbix_agent2.conf
+               fowners root:zabbix /etc/zabbix/zabbix_agent2.conf
+               keepdir /etc/zabbix/zabbix_agent2.d/plugins.d
+
+               newinitd "${FILESDIR}"/zabbix-agent2.init zabbix-agent2
+
+               dosbin src/go/bin/zabbix_agent2
+
+               systemd_dounit "${FILESDIR}"/zabbix-agent2.service
+               newtmpfiles "${FILESDIR}"/zabbix-agent2.tmpfiles 
zabbix-agent2.conf
+       fi
+
+       fowners root:zabbix /etc/zabbix
+       fowners zabbix:zabbix \
+               /var/lib/zabbix \
+               /var/lib/zabbix/home \
+               /var/lib/zabbix/scripts \
+               /var/lib/zabbix/alertscripts \
+               /var/lib/zabbix/externalscripts \
+               /var/log/zabbix
+       fperms 0750 \
+               /etc/zabbix \
+               /var/lib/zabbix \
+               /var/lib/zabbix/home \
+               /var/lib/zabbix/scripts \
+               /var/lib/zabbix/alertscripts \
+               /var/lib/zabbix/externalscripts \
+               /var/log/zabbix
+
+       dodoc README INSTALL NEWS ChangeLog \
+               conf/zabbix_agentd.conf \
+               conf/zabbix_proxy.conf \
+               conf/zabbix_agentd/userparameter_examples.conf \
+               conf/zabbix_agentd/userparameter_mysql.conf \
+               conf/zabbix_server.conf
+
+       if use frontend; then
+               webapp_src_preinst
+               cp -R ui/* "${D}/${MY_HTDOCSDIR}"
+               webapp_configfile \
+                       "${MY_HTDOCSDIR}"/include/db.inc.php \
+                       "${MY_HTDOCSDIR}"/include/config.inc.php
+               webapp_src_install
+       fi
+
+       if use java; then
+               dodir \
+                       /${ZABBIXJAVA_BASE} \
+                       /${ZABBIXJAVA_BASE}/bin \
+                       /${ZABBIXJAVA_BASE}/lib
+               keepdir /${ZABBIXJAVA_BASE}
+               exeinto /${ZABBIXJAVA_BASE}/bin
+               doexe src/zabbix_java/bin/zabbix-java-gateway-"${MY_PV}".jar
+               exeinto /${ZABBIXJAVA_BASE}/lib
+               doexe \
+                       src/zabbix_java/lib/logback-classic-1.5.16.jar \
+                       src/zabbix_java/lib/logback-console.xml \
+                       src/zabbix_java/lib/logback-core-1.5.16.jar \
+                       src/zabbix_java/lib/logback.xml \
+                       src/zabbix_java/lib/android-json-4.3_r3.1.jar \
+                       src/zabbix_java/lib/slf4j-api-2.0.16.jar
+               newinitd "${FILESDIR}"/zabbix-jmx-proxy.init zabbix-jmx-proxy
+               newconfd "${FILESDIR}"/zabbix-jmx-proxy.conf zabbix-jmx-proxy
+       fi
+}
+
+pkg_postinst() {
+       if use server || use proxy ; then
+               elog
+               elog "You may need to configure your database for Zabbix"
+               elog "if you have not already done so."
+               elog
+
+               zabbix_homedir=$(egethome zabbix)
+               if [ -n "${zabbix_homedir}" ] && \
+                       [ "${zabbix_homedir}" != "/var/lib/zabbix/home" ]; then
+                       ewarn
+                       ewarn "The user 'zabbix' should have his homedir 
changed"
+                       ewarn "to /var/lib/zabbix/home if you want to use"
+                       ewarn "custom alert scripts."
+                       ewarn
+                       ewarn "A real homedir might be needed for configfiles"
+                       ewarn "for custom alert scripts."
+                       ewarn
+                       ewarn "To change the homedir use:"
+                       ewarn "  usermod -d /var/lib/zabbix/home zabbix"
+                       ewarn
+               fi
+       fi
+
+       if use server; then
+               tmpfiles_process zabbix-server.conf
+
+               elog
+               elog "For distributed monitoring you have to run:"
+               elog
+               elog "zabbix_server -n <nodeid>"
+               elog
+               elog "This will convert database data for use with Node ID"
+               elog "and also adds a local node."
+               elog
+       fi
+
+       if use proxy; then
+               tmpfiles_process zabbix-proxy.conf
+       fi
+
+       if use agent; then
+               tmpfiles_process zabbix-agentd.conf
+       fi
+
+       if use agent2; then
+               tmpfiles_process zabbix-agent2.conf
+       fi
+
+       elog "--"
+       elog
+       elog "You may need to add these lines to /etc/services:"
+       elog
+       elog "zabbix-agent     10050/tcp Zabbix Agent"
+       elog "zabbix-agent     10050/udp Zabbix Agent"
+       elog "zabbix-trapper   10051/tcp Zabbix Trapper"
+       elog "zabbix-trapper   10051/udp Zabbix Trapper"
+       elog
+}
+
+pkg_prerm() {
+       (use frontend || use server) && webapp_pkg_prerm
+}

Reply via email to